This URL updates the proxy server configuration at device level.
Resource URL
PUT /device/<device_id>/proxyserver
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| device_id | Device id | Number | Yes |
Payload parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| useDeviceListSettings | Inherit settings from parent domain | Boolean | Yes |
| useProxyserver | Use proxy server configuration | Boolean | Yes |
| proxyServerNameOrIPAddr | Proxy server name/IP configuration | String | Yes |
| proxyPort | Proxy port configuration | Number | Yes |
| userName | Username | String | No |
| password | Password | String | No |
Response Parameters
Following fields are returned if the operation was successful, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Set to 1 if the operation was successful | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/device/1001/proxyserver
Payload
{
"useDeviceListSettings": true,
"useProxyserver": false,
"proxyServerNameOrIPAddr": null,
"proxyPort": 0,
"userName": null,
"password": null
}
Response
{
"status": 1
}
Error Information
Following error code is returned by the URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1001 | Internal server error |